Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class NotUniqueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.makumba.InvalidValueException
                      org.makumba.NotUniqueException

All Implemented Interfaces:
  Serializable

    public class NotUniqueException

extends InvalidValueException

Not-unique is a special case of an `InvalidValueException` - the value is syntactically correct, but is restricted to only one usage. This exception can be used for single-field and multi-field uniqueness with the respective constructors.

Version:
  $Id: NotUniqueException.java 3694 2009-02-11 00:41:05Z rosso_nero $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.makumba.InvalidValueException
`field, shortMessage`

Constructor Summary
`NotUniqueException(FieldDefinition fd, Object value)` Uniqueness violation for a single field.
`NotUniqueException(String primaryField, String message)`

Method Summary

Methods inherited from class org.makumba.InvalidValueException
`getFieldName, getShortMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotUniqueException

    public NotUniqueException(String primaryField,
                              String message)

### NotUniqueException

    public NotUniqueException(FieldDefinition fd,
                              Object value)

  Uniqueness violation for a single field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20